# Get the task list dimension. **GET /api/TaskListDimension** This request should be used to retrieve information on task lists for specified engagement(s). The columns here include information on the task list status, the percentage of completion, when it was created, how many tasks are on the task list, who was it created by and when as well as the zero day. It is similar to the information that can be found on the Task List page in Task Manager. ## Servers - Production server: https://analyticsapi.adra.com/taskmanager (Production server) - Stage server: https://analyticsapi.adrastage.com/taskmanager (Stage server) - Test server: https://analyticsapi.adratest.com/taskmanager (Test server) - Dev server: https://analyticsapi.adradev.com/taskmanager (Dev server) ## Authentication methods - Basic - Adra personal access token ## Parameters ### Query parameters - **tlstatus** (string) Task list status possible values - NotStarted or 0, Close or 1, Open or 2, Archived or 4, All or 99(Default option) - **engagement** (string) Short Guid of desired engagement Ex - ESXmkya-nEeWMX-7_3fSxA or Guid of desired engagement Ex - 45c31339-96d0-4262-b051-c00f392685c1 - **period** (string) possible values : Current or 0 - Current period for filtered engagement(s), LastThree or 1 - Last three periods for filtered engagement(s), LastThirteen or 13 - Last thirteen periods for filtered engagement(s), LastTwentyFive or 25 - Last twenty five periods for filtered engagement(s), All or 99, Default option - All (no period filter) ## Responses ### 200 Success #### Body: application/json (array[object]) - **taskListKey** (integer(int32)) - **engagementKey** (string(uuid)) - **taskListName** (string | null) - **taskListZeroDay** (string(date-time) | null) - **taskListStatus** (string | null) - **taskListStatusText** (string | null) - **taskListFinalizedPercentage** (number(double) | null) - **taskListCreatedDateTime** (string(date-time) | null) - **taskListCreatedByUserName** (string | null) - **taskListCreatedByName** (string | null) - **periodKey** (integer(int32) | null) ### 400 Bad Request ### 404 Not Found ### 500 Server Error [Powered by Bump.sh](https://bump.sh)